import { ElementRef, OnInit } from "@angular/core";
import { IPlayable, IMediaSubscriptions } from "./i-playable";
import { VgAPI } from "../services/vg-api";
import { Observer } from "rxjs";
export declare class VgMedia implements OnInit, IPlayable {
    private api;
    elem: any;
    private _vgMaster;
    isMaster: boolean;
    state: string;
    time: any;
    buffer: any;
    subscriptions: IMediaSubscriptions | any;
    canPlay: boolean;
    canPlayThrough: boolean;
    isBufferDetected: boolean;
    isMetadataLoaded: boolean;
    isReadyToPlay: boolean;
    isWaiting: boolean;
    isCompleted: boolean;
    checkInterval: number;
    currentPlayPos: number;
    lastPlayPos: number;
    bufferObserver: Observer<any>;
    checkBufferSubscription: any;
    syncSubscription: any;
    canPlayAllSubscription: any;
    playAtferSync: boolean;
    constructor(ref: ElementRef, api: VgAPI);
    ngOnInit(): void;
    prepareSync(): void;
    startSync(): void;
    onMutation(mutations: any): void;
    play(): void;
    pause(): void;
    readonly id: any;
    readonly duration: any;
    currentTime: any;
    volume: any;
    playbackRate: any;
    readonly buffered: any;
    onCanPlay(event: any): void;
    onCanPlayThrough(event: any): void;
    onLoadMetadata(event: any): void;
    onWait(event: any): void;
    onComplete(event: any): void;
    onStartPlaying(event: any): void;
    onPlay(event: any): void;
    onPause(event: any): void;
    onTimeUpdate(event: any): void;
    onProgress(event: any): void;
    onVolumeChange(event: any): void;
    onError(event: any): void;
    bufferCheck(): void;
    startBufferCheck(): void;
    stopBufferCheck(): void;
    onBufferDetected(): void;
}
